
function InsertHTML_page(lq_name) //插入分页符
{
	// Get the editor instance that we want to interact with.
	var oEditor = FCKeditorAPI.GetInstance(lq_name) ;

	// Check the active editing mode.
	if ( oEditor.EditMode == FCK_EDITMODE_WYSIWYG )
	{
		// Insert the desired HTML.
		oEditor.InsertHtml( '<p><img src="/images/page.png" border=0 /></p>' ) ;
	}
	else
		alert( '请在编辑模式下操作!' ) ;
}

function ExecuteCommand(lq_name,commandName)//调用相关命令按钮
{
	// Get the editor instance that we want to interact with.
	var oEditor = FCKeditorAPI.GetInstance(lq_name) ;

	// Execute the command.
	oEditor.Commands.GetCommand(commandName).Execute() ;
}

function SetContents(lq_name)
{
	// Get the editor instance that we want to interact with.预设/清空
	var oEditor = FCKeditorAPI.GetInstance(lq_name) ;

	// Set the editor contents (replace the actual one).
	oEditor.SetData( '可以预设容器内容为空！' ) ;
}

function resetFCKEditor(lq_name)//清空
{
FCKeditorAPI.GetInstance(lq_name).SetHTML("");
}

////////////////////////////////////////////////////////////////////////////

function upsize()
{
    var height=oFCKeditor.Height;
    if(height<1200)
    {
        oFCKeditor.Height=oFCKeditor.Height+200;
        document.getElementById('more').height=oFCKeditor.Height;
    }   
    if(oFCKeditor.Height>1000)
        document.getElementById('upsize').disabled="disabled";
        document.getElementById('downsize').disabled="";        
}
//减小编辑区大小
function downsize()
{
    var height=oFCKeditor.Height;
    if(height>200)
    {
        oFCKeditor.Height=oFCKeditor.Height-200;
        document.getElementById('more').height=oFCKeditor.Height;
    }
    if(oFCKeditor.Height<400)
        document.getElementById('downsize').disabled="disabled";
        document.getElementById('upsize').disabled="";
    
}


